# QueryList采集插件 Bulu说明
>`这是一个QueryList扩展插件`
>`功能：采集深圳2步路户外网站活动信息`

# 安装
composer require gyh9711/ql-plugin-bulu

# 应用实例

## 可调用方法

1. Bulu::getPageCount() //获取活动全部分页数
2. Bulu::getPageInfo() //获取分页信息
3. Bulu::page(int) //获取指定页数据， 默认第一1页
4. Bulu::pages(num) //获取多少页数据，默认全部


## 实例
```php
use QL\QueryList;
use gyh9711\Bulu;

$ql = QueryList::getInstance();
$ql->use(Bulu::class,'bulucom');
$bulu = $ql->bulucom(); // 设置每页搜索15条结果

$count = $bulu->getPageInfo();
//print_r($count);
print_r($bulu->page());  //获取指定页数数据
//print_r($bulu->pages()); //获取所有活动数据

```
结果如下：

```shell
..........
  14 => array:13 [
    "img_url" => "https://down-files.2bulu.com/f/d1?downParams=AoAp0uzlhNdS8aXDcwFqZg%3D%3D%0A"
    "tag_name" => "AA"
    "author" => "雲龍"
    "title" => "大丹霞巴寨穿越——广东最美徒步线路（4.4号晚出发）"
    "event_time" => "18-04-04～18-04-06"
    "counts" => "2/35 人"
    "url" => "http://www.2bulu.com/event/d-76497.htm"
    "begin_date" => "18-04-04"
    "end_date" => "18-04-06"
    "created_at" => "18-04-04"
    "days" => "2"
    "url_md5" => "c4af488d5a960ed9b766765f25102031"
    "from" => "两步路-活动"
  ]
]

```

```php
include "vendor/autoload.php";

include "vendor/QLPlugin-Bulu-master/src/Bulu.php";

use QL\QueryList;

use QL\Ext\Bulu;  //我的扩展

$ql = QueryList::getInstance();
$ql->use(Bulu::class,'bulu');
$bulu = $ql->bulu();
var_dump( $bulu->getPageInfo());


```


# 参考

+ [phpQuery](http://code.google.com/p/phpquery/)
+ [QueryList](https://github.com/jae-jae/QueryList) ---[QueryList中文介绍](https://github.com/jae-jae/QueryList/blob/master/README-ZH.md)